Delete Link
Deletes a link between two objects. Note that for part hierarchy links (e.g. enhancement to capability), deleting a link may leave an orphan object with no parent. If the intent is to re-parent an object rather than unlink it entirely, use `links.replace` instead, which atomically removes the old link and creates a new one in a single transaction.
Deletes a link between two objects. Note that for part hierarchy links
(e.g. enhancement to capability), deleting a link may leave an orphan
object with no parent. If the intent is to re-parent an object rather
than unlink it entirely, use links.replace instead, which atomically
removes the old link and creates a new one in a single transaction.
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
The ID of the link to delete.
idResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/links.delete" \ -H "Content-Type: application/json" \ -d '{ "id": "string" }'{}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "not_found"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}